---
stage: SaaS Platforms
group: GitLab Dedicated
description: View information about your GitLab Dedicated instance with Switchboard.
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

# View GitLab Dedicated instance details

DETAILS:
**Tier:** Ultimate
**Offering:** GitLab Dedicated

The Overview page in Switchboard provides essential information about your GitLab Dedicated instance, including:

- Whether there are pending configuration changes
- When the instance was updated
- Instance attributes
- Maintenance windows
- Hosted runners

To view details about your instance:

- Sign in to [Switchboard](https://console.gitlab-dedicated.com/).

## Instance attributes

This section provides important information about your tenant, including:

- Tenant name and URL
- AWS regions for data storage and backup
- Total Git repository capacity
- Reference architecture
- Maintenance window
- Current GitLab version

## Maintenance windows

This section displays the:

- Next scheduled maintenance window.
- Last completed maintenance window.
- Most recent emergency maintenance window (if applicable).
- Upcoming GitLab version upgrade.

For more information, see [Maintenance windows](../../administration/dedicated/maintenance.md#maintenance-windows).

## Hosted runners

This section shows the [hosted runners](../../administration/dedicated/hosted_runners.md) associated with your instance.
