---
stage: Systems
group: Distribution
description: Backup and restore, move repos, maintenance tasks.
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

# Maintain GitLab

DETAILS:
**Tier:** Free, Premium, Ultimate
**Offering:** Self-managed

Keep your GitLab instance up and running.

- [Housekeeping](../../administration/housekeeping.md)
- [Activate GitLab EE with license](../../administration/license_file.md)
- [Fast SSH key lookup](../../administration/operations/fast_ssh_key_lookup.md)
- [File system benchmarking](../../administration/operations/filesystem_benchmarking.md)
- [`gitlab-sshd`](../../administration/operations/gitlab_sshd.md)
- [Rails console](../../administration/operations/rails_console.md)
- [Use SSH certificates](../../administration/operations/ssh_certificates.md)
- [Enable encrypted configuration](../../administration/encrypted_configuration.md)
- [Rake tasks](../../raketasks/index.md)
- [Backup and restore](../../administration/backup_restore/index.md)
- [Inactive project deletion](../../administration/inactive_project_deletion.md)
- [Move repositories](../../administration/operations/moving_repositories.md)
- [Read-only state](../../administration/read_only_gitlab.md)
- [Restart GitLab](../../administration/restart_gitlab.md)
