---
stage: Create
group: Source Code
description: Common Git commands and workflows.
info: "To determine the technical writer assigned to the Stage/Group associated with this page, see https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments"
---

# Use Git

Git is a [free and open source](https://git-scm.com/about/free-and-open-source)
distributed version control system. It handles projects of all sizes quickly and
efficiently, and provides support for rolling back changes when needed.

GitLab is built on top of (and with) Git, and provides you a Git-based, fully-integrated
platform for software development. GitLab adds many powerful
[features](https://about.gitlab.com/features/) on top of Git to enhance your workflow.

| | | |
|--|--|--|
| [**Getting started**](get_started.md)<br>Understand Git, install, common commands, tutorial. | [**Basic operations**](basics.md)<br>Create a project, clone a repository, stash changes, branches, forks. | [**Advanced operations**](advanced.md)<br>Rebase, cherry-pick, revert changes, repository and file management. |
| [**Troubleshooting**](troubleshooting_git.md)<br>Tips to resolve Git issues. | | |
