=begin
#OpenBao API

#HTTP API that gives you full access to OpenBao. All API routes are prefixed with `/v1/`.

The version of the OpenAPI document: 2.0.0

Generated by: https://openapi-generator.tech
Generator version: 7.7.0

=end

require 'date'
require 'time'

module OpenbaoClient
  class DatabaseWriteRoleRequest
    # Specifies the database statements executed to create and configure a user. See the plugin's API page for more information on support and formatting for this parameter.
    attr_accessor :creation_statements

    # The configuration for the given credential_type.
    attr_accessor :credential_config

    # The type of credential to manage. Options include: 'password', 'rsa_private_key'. Defaults to 'password'.
    attr_accessor :credential_type

    # Name of the database this role acts on.
    attr_accessor :db_name

    # Default ttl for role.
    attr_accessor :default_ttl

    # Maximum time a credential is valid for
    attr_accessor :max_ttl

    # Specifies the database statements to be executed to renew a user. Not every plugin type will support this functionality. See the plugin's API page for more information on support and formatting for this parameter.
    attr_accessor :renew_statements

    # Specifies the database statements to be executed to revoke a user. See the plugin's API page for more information on support and formatting for this parameter.
    attr_accessor :revocation_statements

    # Specifies the database statements to be executed rollback a create operation in the event of an error. Not every plugin type will support this functionality. See the plugin's API page for more information on support and formatting for this parameter.
    attr_accessor :rollback_statements

    # Attribute mapping from ruby-style variable name to JSON key.
    def self.attribute_map
      {
        :'creation_statements' => :'creation_statements',
        :'credential_config' => :'credential_config',
        :'credential_type' => :'credential_type',
        :'db_name' => :'db_name',
        :'default_ttl' => :'default_ttl',
        :'max_ttl' => :'max_ttl',
        :'renew_statements' => :'renew_statements',
        :'revocation_statements' => :'revocation_statements',
        :'rollback_statements' => :'rollback_statements'
      }
    end

    # Returns all the JSON keys this model knows about
    def self.acceptable_attributes
      attribute_map.values
    end

    # Attribute type mapping.
    def self.openapi_types
      {
        :'creation_statements' => :'Array<String>',
        :'credential_config' => :'Object',
        :'credential_type' => :'String',
        :'db_name' => :'String',
        :'default_ttl' => :'Integer',
        :'max_ttl' => :'Integer',
        :'renew_statements' => :'Array<String>',
        :'revocation_statements' => :'Array<String>',
        :'rollback_statements' => :'Array<String>'
      }
    end

    # List of attributes with nullable: true
    def self.openapi_nullable
      Set.new([
      ])
    end

    # Initializes the object
    # @param [Hash] attributes Model attributes in the form of hash
    def initialize(attributes = {})
      if (!attributes.is_a?(Hash))
        fail ArgumentError, "The input argument (attributes) must be a hash in `OpenbaoClient::DatabaseWriteRoleRequest` initialize method"
      end

      # check to see if the attribute exists and convert string to symbol for hash key
      attributes = attributes.each_with_object({}) { |(k, v), h|
        if (!self.class.attribute_map.key?(k.to_sym))
          fail ArgumentError, "`#{k}` is not a valid attribute in `OpenbaoClient::DatabaseWriteRoleRequest`. Please check the name to make sure it's valid. List of attributes: " + self.class.attribute_map.keys.inspect
        end
        h[k.to_sym] = v
      }

      if attributes.key?(:'creation_statements')
        if (value = attributes[:'creation_statements']).is_a?(Array)
          self.creation_statements = value
        end
      end

      if attributes.key?(:'credential_config')
        self.credential_config = attributes[:'credential_config']
      end

      if attributes.key?(:'credential_type')
        self.credential_type = attributes[:'credential_type']
      else
        self.credential_type = 'password'
      end

      if attributes.key?(:'db_name')
        self.db_name = attributes[:'db_name']
      end

      if attributes.key?(:'default_ttl')
        self.default_ttl = attributes[:'default_ttl']
      end

      if attributes.key?(:'max_ttl')
        self.max_ttl = attributes[:'max_ttl']
      end

      if attributes.key?(:'renew_statements')
        if (value = attributes[:'renew_statements']).is_a?(Array)
          self.renew_statements = value
        end
      end

      if attributes.key?(:'revocation_statements')
        if (value = attributes[:'revocation_statements']).is_a?(Array)
          self.revocation_statements = value
        end
      end

      if attributes.key?(:'rollback_statements')
        if (value = attributes[:'rollback_statements']).is_a?(Array)
          self.rollback_statements = value
        end
      end
    end

    # Show invalid properties with the reasons. Usually used together with valid?
    # @return Array for valid properties with the reasons
    def list_invalid_properties
      warn '[DEPRECATED] the `list_invalid_properties` method is obsolete'
      invalid_properties = Array.new
      invalid_properties
    end

    # Check to see if the all the properties in the model are valid
    # @return true if the model is valid
    def valid?
      warn '[DEPRECATED] the `valid?` method is obsolete'
      true
    end

    # Checks equality by comparing each attribute.
    # @param [Object] Object to be compared
    def ==(o)
      return true if self.equal?(o)
      self.class == o.class &&
          creation_statements == o.creation_statements &&
          credential_config == o.credential_config &&
          credential_type == o.credential_type &&
          db_name == o.db_name &&
          default_ttl == o.default_ttl &&
          max_ttl == o.max_ttl &&
          renew_statements == o.renew_statements &&
          revocation_statements == o.revocation_statements &&
          rollback_statements == o.rollback_statements
    end

    # @see the `==` method
    # @param [Object] Object to be compared
    def eql?(o)
      self == o
    end

    # Calculates hash code according to all attributes.
    # @return [Integer] Hash code
    def hash
      [creation_statements, credential_config, credential_type, db_name, default_ttl, max_ttl, renew_statements, revocation_statements, rollback_statements].hash
    end

    # Builds the object from hash
    # @param [Hash] attributes Model attributes in the form of hash
    # @return [Object] Returns the model itself
    def self.build_from_hash(attributes)
      return nil unless attributes.is_a?(Hash)
      attributes = attributes.transform_keys(&:to_sym)
      transformed_hash = {}
      openapi_types.each_pair do |key, type|
        if attributes.key?(attribute_map[key]) && attributes[attribute_map[key]].nil?
          transformed_hash["#{key}"] = nil
        elsif type =~ /\AArray<(.*)>/i
          # check to ensure the input is an array given that the attribute
          # is documented as an array but the input is not
          if attributes[attribute_map[key]].is_a?(Array)
            transformed_hash["#{key}"] = attributes[attribute_map[key]].map { |v| _deserialize($1, v) }
          end
        elsif !attributes[attribute_map[key]].nil?
          transformed_hash["#{key}"] = _deserialize(type, attributes[attribute_map[key]])
        end
      end
      new(transformed_hash)
    end

    # Deserializes the data based on type
    # @param string type Data type
    # @param string value Value to be deserialized
    # @return [Object] Deserialized data
    def self._deserialize(type, value)
      case type.to_sym
      when :Time
        Time.parse(value)
      when :Date
        Date.parse(value)
      when :String
        value.to_s
      when :Integer
        value.to_i
      when :Float
        value.to_f
      when :Boolean
        if value.to_s =~ /\A(true|t|yes|y|1)\z/i
          true
        else
          false
        end
      when :Object
        # generic object (usually a Hash), return directly
        value
      when /\AArray<(?<inner_type>.+)>\z/
        inner_type = Regexp.last_match[:inner_type]
        value.map { |v| _deserialize(inner_type, v) }
      when /\AHash<(?<k_type>.+?), (?<v_type>.+)>\z/
        k_type = Regexp.last_match[:k_type]
        v_type = Regexp.last_match[:v_type]
        {}.tap do |hash|
          value.each do |k, v|
            hash[_deserialize(k_type, k)] = _deserialize(v_type, v)
          end
        end
      else # model
        # models (e.g. Pet) or oneOf
        klass = OpenbaoClient.const_get(type)
        klass.respond_to?(:openapi_any_of) || klass.respond_to?(:openapi_one_of) ? klass.build(value) : klass.build_from_hash(value)
      end
    end

    # Returns the string representation of the object
    # @return [String] String presentation of the object
    def to_s
      to_hash.to_s
    end

    # to_body is an alias to to_hash (backward compatibility)
    # @return [Hash] Returns the object in the form of hash
    def to_body
      to_hash
    end

    # Returns the object in the form of hash
    # @return [Hash] Returns the object in the form of hash
    def to_hash
      hash = {}
      self.class.attribute_map.each_pair do |attr, param|
        value = self.send(attr)
        if value.nil?
          is_nullable = self.class.openapi_nullable.include?(attr)
          next if !is_nullable || (is_nullable && !instance_variable_defined?(:"@#{attr}"))
        end

        hash[param] = _to_hash(value)
      end
      hash
    end

    # Outputs non-array value in the form of hash
    # For object, use to_hash. Otherwise, just return the value
    # @param [Object] value Any valid value
    # @return [Hash] Returns the value in the form of hash
    def _to_hash(value)
      if value.is_a?(Array)
        value.compact.map { |v| _to_hash(v) }
      elsif value.is_a?(Hash)
        {}.tap do |hash|
          value.each { |k, v| hash[k] = _to_hash(v) }
        end
      elsif value.respond_to? :to_hash
        value.to_hash
      else
        value
      end
    end

  end

end
