=begin
#OpenBao API

#HTTP API that gives you full access to OpenBao. All API routes are prefixed with `/v1/`.

The version of the OpenAPI document: 2.0.0

Generated by: https://openapi-generator.tech
Generator version: 7.7.0

=end

require 'date'
require 'time'

module OpenbaoClient
  class TransitVerifyRequest
    # Deprecated: use \"hash_algorithm\" instead.
    attr_accessor :algorithm

    # Specifies a list of items for processing. When this parameter is set, any supplied 'input', 'hmac' or 'signature' parameters will be ignored. Responses are returned in the 'batch_results' array component of the 'data' element of the response. Any batch output will preserve the order of the batch input
    attr_accessor :batch_input

    # Base64 encoded context for key derivation. Required if key derivation is enabled; currently only available with ed25519 keys.
    attr_accessor :context

    # Hash algorithm to use (POST body parameter). Valid values are: * sha1 * sha2-224 * sha2-256 * sha2-384 * sha2-512 * sha3-224 * sha3-256 * sha3-384 * sha3-512 * none Defaults to \"sha2-256\". Not valid for all key types. See note about none on signing path.
    attr_accessor :hash_algorithm

    # The HMAC, including OpenBao header/key version
    attr_accessor :hmac

    # The base64-encoded input data to verify
    attr_accessor :input

    # The method by which to unmarshal the signature when verifying. The default is 'asn1' which is used by openssl and X.509; can also be set to 'jws' which is used for JWT signatures in which case the signature is also expected to be url-safe base64 encoding instead of standard base64 encoding. Currently only valid for ECDSA P-256 key types\".
    attr_accessor :marshaling_algorithm

    # Set to 'true' when the input is already hashed. If the key type is 'rsa-2048', 'rsa-3072' or 'rsa-4096', then the algorithm used to hash the input should be indicated by the 'algorithm' parameter.
    attr_accessor :prehashed

    # The salt length used to sign. Currently only applies to the RSA PSS signature scheme. Options are 'auto' (the default used by Golang, causing the salt to be as large as possible when signing), 'hash' (causes the salt length to equal the length of the hash used in the signature), or an integer between the minimum and the maximum permissible salt lengths for the given RSA key size. Defaults to 'auto'.
    attr_accessor :salt_length

    # The signature, including OpenBao header/key version
    attr_accessor :signature

    # The signature algorithm to use for signature verification. Currently only applies to RSA key types. Options are 'pss' or 'pkcs1v15'. Defaults to 'pss'
    attr_accessor :signature_algorithm

    # Hash algorithm to use (POST URL parameter)
    attr_accessor :urlalgorithm

    # Attribute mapping from ruby-style variable name to JSON key.
    def self.attribute_map
      {
        :'algorithm' => :'algorithm',
        :'batch_input' => :'batch_input',
        :'context' => :'context',
        :'hash_algorithm' => :'hash_algorithm',
        :'hmac' => :'hmac',
        :'input' => :'input',
        :'marshaling_algorithm' => :'marshaling_algorithm',
        :'prehashed' => :'prehashed',
        :'salt_length' => :'salt_length',
        :'signature' => :'signature',
        :'signature_algorithm' => :'signature_algorithm',
        :'urlalgorithm' => :'urlalgorithm'
      }
    end

    # Returns all the JSON keys this model knows about
    def self.acceptable_attributes
      attribute_map.values
    end

    # Attribute type mapping.
    def self.openapi_types
      {
        :'algorithm' => :'String',
        :'batch_input' => :'Array<Object>',
        :'context' => :'String',
        :'hash_algorithm' => :'String',
        :'hmac' => :'String',
        :'input' => :'String',
        :'marshaling_algorithm' => :'String',
        :'prehashed' => :'Boolean',
        :'salt_length' => :'String',
        :'signature' => :'String',
        :'signature_algorithm' => :'String',
        :'urlalgorithm' => :'String'
      }
    end

    # List of attributes with nullable: true
    def self.openapi_nullable
      Set.new([
      ])
    end

    # Initializes the object
    # @param [Hash] attributes Model attributes in the form of hash
    def initialize(attributes = {})
      if (!attributes.is_a?(Hash))
        fail ArgumentError, "The input argument (attributes) must be a hash in `OpenbaoClient::TransitVerifyRequest` initialize method"
      end

      # check to see if the attribute exists and convert string to symbol for hash key
      attributes = attributes.each_with_object({}) { |(k, v), h|
        if (!self.class.attribute_map.key?(k.to_sym))
          fail ArgumentError, "`#{k}` is not a valid attribute in `OpenbaoClient::TransitVerifyRequest`. Please check the name to make sure it's valid. List of attributes: " + self.class.attribute_map.keys.inspect
        end
        h[k.to_sym] = v
      }

      if attributes.key?(:'algorithm')
        self.algorithm = attributes[:'algorithm']
      else
        self.algorithm = 'sha2-256'
      end

      if attributes.key?(:'batch_input')
        if (value = attributes[:'batch_input']).is_a?(Array)
          self.batch_input = value
        end
      end

      if attributes.key?(:'context')
        self.context = attributes[:'context']
      end

      if attributes.key?(:'hash_algorithm')
        self.hash_algorithm = attributes[:'hash_algorithm']
      else
        self.hash_algorithm = 'sha2-256'
      end

      if attributes.key?(:'hmac')
        self.hmac = attributes[:'hmac']
      end

      if attributes.key?(:'input')
        self.input = attributes[:'input']
      end

      if attributes.key?(:'marshaling_algorithm')
        self.marshaling_algorithm = attributes[:'marshaling_algorithm']
      else
        self.marshaling_algorithm = 'asn1'
      end

      if attributes.key?(:'prehashed')
        self.prehashed = attributes[:'prehashed']
      end

      if attributes.key?(:'salt_length')
        self.salt_length = attributes[:'salt_length']
      else
        self.salt_length = 'auto'
      end

      if attributes.key?(:'signature')
        self.signature = attributes[:'signature']
      end

      if attributes.key?(:'signature_algorithm')
        self.signature_algorithm = attributes[:'signature_algorithm']
      end

      if attributes.key?(:'urlalgorithm')
        self.urlalgorithm = attributes[:'urlalgorithm']
      end
    end

    # Show invalid properties with the reasons. Usually used together with valid?
    # @return Array for valid properties with the reasons
    def list_invalid_properties
      warn '[DEPRECATED] the `list_invalid_properties` method is obsolete'
      invalid_properties = Array.new
      invalid_properties
    end

    # Check to see if the all the properties in the model are valid
    # @return true if the model is valid
    def valid?
      warn '[DEPRECATED] the `valid?` method is obsolete'
      true
    end

    # Checks equality by comparing each attribute.
    # @param [Object] Object to be compared
    def ==(o)
      return true if self.equal?(o)
      self.class == o.class &&
          algorithm == o.algorithm &&
          batch_input == o.batch_input &&
          context == o.context &&
          hash_algorithm == o.hash_algorithm &&
          hmac == o.hmac &&
          input == o.input &&
          marshaling_algorithm == o.marshaling_algorithm &&
          prehashed == o.prehashed &&
          salt_length == o.salt_length &&
          signature == o.signature &&
          signature_algorithm == o.signature_algorithm &&
          urlalgorithm == o.urlalgorithm
    end

    # @see the `==` method
    # @param [Object] Object to be compared
    def eql?(o)
      self == o
    end

    # Calculates hash code according to all attributes.
    # @return [Integer] Hash code
    def hash
      [algorithm, batch_input, context, hash_algorithm, hmac, input, marshaling_algorithm, prehashed, salt_length, signature, signature_algorithm, urlalgorithm].hash
    end

    # Builds the object from hash
    # @param [Hash] attributes Model attributes in the form of hash
    # @return [Object] Returns the model itself
    def self.build_from_hash(attributes)
      return nil unless attributes.is_a?(Hash)
      attributes = attributes.transform_keys(&:to_sym)
      transformed_hash = {}
      openapi_types.each_pair do |key, type|
        if attributes.key?(attribute_map[key]) && attributes[attribute_map[key]].nil?
          transformed_hash["#{key}"] = nil
        elsif type =~ /\AArray<(.*)>/i
          # check to ensure the input is an array given that the attribute
          # is documented as an array but the input is not
          if attributes[attribute_map[key]].is_a?(Array)
            transformed_hash["#{key}"] = attributes[attribute_map[key]].map { |v| _deserialize($1, v) }
          end
        elsif !attributes[attribute_map[key]].nil?
          transformed_hash["#{key}"] = _deserialize(type, attributes[attribute_map[key]])
        end
      end
      new(transformed_hash)
    end

    # Deserializes the data based on type
    # @param string type Data type
    # @param string value Value to be deserialized
    # @return [Object] Deserialized data
    def self._deserialize(type, value)
      case type.to_sym
      when :Time
        Time.parse(value)
      when :Date
        Date.parse(value)
      when :String
        value.to_s
      when :Integer
        value.to_i
      when :Float
        value.to_f
      when :Boolean
        if value.to_s =~ /\A(true|t|yes|y|1)\z/i
          true
        else
          false
        end
      when :Object
        # generic object (usually a Hash), return directly
        value
      when /\AArray<(?<inner_type>.+)>\z/
        inner_type = Regexp.last_match[:inner_type]
        value.map { |v| _deserialize(inner_type, v) }
      when /\AHash<(?<k_type>.+?), (?<v_type>.+)>\z/
        k_type = Regexp.last_match[:k_type]
        v_type = Regexp.last_match[:v_type]
        {}.tap do |hash|
          value.each do |k, v|
            hash[_deserialize(k_type, k)] = _deserialize(v_type, v)
          end
        end
      else # model
        # models (e.g. Pet) or oneOf
        klass = OpenbaoClient.const_get(type)
        klass.respond_to?(:openapi_any_of) || klass.respond_to?(:openapi_one_of) ? klass.build(value) : klass.build_from_hash(value)
      end
    end

    # Returns the string representation of the object
    # @return [String] String presentation of the object
    def to_s
      to_hash.to_s
    end

    # to_body is an alias to to_hash (backward compatibility)
    # @return [Hash] Returns the object in the form of hash
    def to_body
      to_hash
    end

    # Returns the object in the form of hash
    # @return [Hash] Returns the object in the form of hash
    def to_hash
      hash = {}
      self.class.attribute_map.each_pair do |attr, param|
        value = self.send(attr)
        if value.nil?
          is_nullable = self.class.openapi_nullable.include?(attr)
          next if !is_nullable || (is_nullable && !instance_variable_defined?(:"@#{attr}"))
        end

        hash[param] = _to_hash(value)
      end
      hash
    end

    # Outputs non-array value in the form of hash
    # For object, use to_hash. Otherwise, just return the value
    # @param [Object] value Any valid value
    # @return [Hash] Returns the value in the form of hash
    def _to_hash(value)
      if value.is_a?(Array)
        value.compact.map { |v| _to_hash(v) }
      elsif value.is_a?(Hash)
        {}.tap do |hash|
          value.each { |k, v| hash[k] = _to_hash(v) }
        end
      elsif value.respond_to? :to_hash
        value.to_hash
      else
        value
      end
    end

  end

end
