# frozen_string_literal: true

class AddNullCheckConstraintForVulnerabilityReadsTraversalIds < Gitlab::Database::Migration[2.2]
  disable_ddl_transaction!
  milestone '16.11'

  def up
    add_not_null_constraint :vulnerability_reads, :traversal_ids, validate: false
  end

  def down
    remove_not_null_constraint :vulnerability_reads, :traversal_ids
  end
end
