# frozen_string_literal: true

class RemoveUsersVulnerabilityStateTransitionsAuthorIdFk < Gitlab::Database::Migration[2.2]
  milestone '17.5'
  disable_ddl_transaction!

  FOREIGN_KEY_NAME = "fk_e719dc63df"

  def up
    with_lock_retries do
      remove_foreign_key_if_exists(:vulnerability_state_transitions, :users,
        name: FOREIGN_KEY_NAME, reverse_lock_order: true)
    end
  end

  def down
    add_concurrent_foreign_key(:vulnerability_state_transitions, :users,
      name: FOREIGN_KEY_NAME, column: :author_id,
      target_column: :id, on_delete: :nullify)
  end
end
