# frozen_string_literal: true

class FinalizeUpdateOwaspTop10DefaultOfVulnerabilityReads < Gitlab::Database::Migration[2.2]
  milestone '17.6'

  disable_ddl_transaction!

  restrict_gitlab_migration gitlab_schema: :gitlab_main

  def up
    ensure_batched_background_migration_is_finished(
      job_class_name: "UpdateOwaspTop10DefaultOfVulnerabilityReads",
      table_name: :vulnerability_reads,
      column_name: :vulnerability_id,
      job_arguments: []
    )
  end

  def down; end
end
