# frozen_string_literal: true

class FinalizeSetCorrectVulnerabilityState < Gitlab::Database::Migration[2.2]
  MIGRATION = "SetCorrectVulnerabilityState"

  milestone '17.6'
  restrict_gitlab_migration gitlab_schema: :gitlab_main

  disable_ddl_transaction!

  def up
    ensure_batched_background_migration_is_finished(
      job_class_name: MIGRATION,
      table_name: :vulnerabilities,
      column_name: :id,
      job_arguments: [],
      finalize: true
    )
  end

  def down; end
end
